package com.taleo.integration.client.customstep.tools.document;

import java.io.File;

/**
 * Dummy implementation of DocumentInfo for unsupported document types.
 * 
 * @author Romain Guay, Taleo Corporation
 * @deprecated No more necessary with the added Document.Code to build filename.
 */
public class DefaultDocumentInfo implements DocumentInfo {

	private File file;

	/**
	 * Constructor with the file.
	 * 
	 * @param file
	 */
	public DefaultDocumentInfo(File file) {
		this.file = file;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see com.taleo.integration.client.customstep.xml.DocumentInfo#getAuthor()
	 */
	public String getAuthor() {
		return null;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see
	 * com.taleo.integration.client.customstep.xml.DocumentInfo#getCreator()
	 */
	public String getCreator() {
		return null;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see com.taleo.integration.client.customstep.xml.DocumentInfo#getName()
	 */
	public String getName() {
		return file.getName();
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see
	 * com.taleo.integration.client.customstep.xml.DocumentInfo#getSubject()
	 */
	public String getSubject() {
		return null;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see com.taleo.integration.client.customstep.xml.DocumentInfo#getTitle()
	 */
	public String getTitle() {
		return null;
	}

}
