package com.taleo.integration.client.customstep.tools.document;

/**
 * Interface for retrieving document informations.
 * 
 * @author Romain Guay, Taleo Corporation
 * @deprecated No more necessary with the added Document.Code to build filename.
 * 
 */
public interface DocumentInfo {

	/**
	 * Get document author.
	 * 
	 * @return
	 */
	public String getAuthor();

	/**
	 * Get document creator.
	 * 
	 * @return
	 */
	public String getCreator();

	/**
	 * Get document name.
	 * 
	 * @return
	 */
	public String getName();

	/**
	 * Get document subject.
	 * 
	 * @return
	 */
	public String getSubject();

	/**
	 * Get document title.
	 * 
	 * @return
	 */
	public String getTitle();
}
