package com.taleo.integration.client.customstep.lrd;

import java.util.Date;

/**
 * Date provider that uses the current date from the local server.
 * 
 * @author Romain Guay - Taleo Corporation
 * 
 */
public class LocalDateProvider extends AbstractDateProvider {

	/*
	 * (non-Javadoc)
	 * 
	 * @see
	 * com.taleo.integration.client.customstep.lrd.DateProvider#getDate()
	 */
	public Date getDate() {
		return adjustTime(new Date());
	}
}
