package com.taleo.integration.client.customstep.util.csv;

/**
 * Constants used in the CSV reader and writer.
 * 
 * @author bdrolet
 */
final class CSVConstant {

	private CSVConstant() {
		// Prevent access to this utility class
	}

	public static final char DEFAULT_DELIMITER = ',';

	public static final char DEFAULT_QUOTE_CHARACTER = '"';

	public static final char CARRIAGE_RETURN = '\r';

	public static final char LINE_FEED = '\n';

	public static final String DEFAULT_LINE_FEED_STR = "\n";

	public static final String CSV_HEADER_ATTRIBUTE = "CSV_HEADER_ATTRIBUTE";

	public static final String CSV_DELIMITER_ATTRIBUTE = "CSV_DELIMITER_ATTRIBUTE";

	public static final String CSV_QUOTE_ATTRIBUTE = "CSV_QUOTE_ATTRIBUTE";

}
