package com.taleo.integration.client.customstep.util.csv;

/**
 * Exception raised when the source file is not in the valid character delimited
 * (CSV) format.
 * 
 * @author gduchesneau
 */
public class InvalidCSVFileFormat extends Exception {
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	/**
	 * Constructs a <code>InvalidCsvFileFormat</code>.
	 */
	public InvalidCSVFileFormat() {
		super();
	}

	/**
	 * Constructs a <code>InvalidCsvFileFormat</code>.
	 * 
	 * @param pMessage
	 *            The message
	 */
	public InvalidCSVFileFormat(String pMessage) {
		super(pMessage);
	}

	/**
	 * Constructs a <code>InvalidCsvFileFormat</code>.
	 * 
	 * @param pCause
	 *            The cause
	 */
	public InvalidCSVFileFormat(Throwable pCause) {
		super(pCause);
	}

	/**
	 * Constructs a <code>InvalidCsvFileFormat</code>.
	 * 
	 * @param pMessage
	 *            The message
	 * @param pCause
	 *            The cause
	 */
	public InvalidCSVFileFormat(String pMessage, Throwable pCause) {
		super(pMessage, pCause);
	}

}
